Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 594274 - media-plugins/vdr-vcd-0.9-r2 : functions.h:170:23: error: flexible array member ‘psd_vcd::<anonymous struct>::play_item’ not at end of ‘union psd_vcd’
Summary: media-plugins/vdr-vcd-0.9-r2 : functions.h:170:23: error: flexible array memb...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo VDR Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-6
  Show dependency tree
 
Reported: 2016-09-18 20:30 UTC by Toralf Förster
Modified: 2017-09-28 18:39 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-history.txt (emerge-history.txt,161.30 KB, text/plain)
2016-09-18 20:30 UTC, Toralf Förster
Details
environment (environment,110.20 KB, text/plain)
2016-09-18 20:30 UTC, Toralf Förster
Details
media-plugins:vdr-vcd-0.9-r2:20160918-201345.log (media-plugins:vdr-vcd-0.9-r2:20160918-201345.log,3.49 KB, text/plain)
2016-09-18 20:30 UTC, Toralf Förster
Details
ppl-1.1-gcc6.patch (ppl-1.1-gcc6.patch,1.18 KB, patch)
2016-09-24 04:08 UTC, Peter Levine
Details | Diff
vcd-0.9-gcc6.patch (vcd-0.9-gcc6.patch,527 bytes, patch)
2016-09-24 04:11 UTC, Peter Levine
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-09-18 20:30:33 UTC
x86_64-pc-linux-gnu-g++ -march=native -O2 -pipe -fPIC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -c -DCONFDIR=\"/etc/vdr\" -DUSE_GRAPHTFT -DUSE_PLUGINMISSING -DPLUGIN_NAME_I18N='"vcd"' -D_GNU_SOURCE -I/usr/include/vdr/include  vcd.c
In file included from vcd.c:27:0:
functions.h:170:23: error: flexible array member ‘psd_vcd::<anonymous struct>::play_item’ not at end of ‘union psd_vcd’
      __u16  play_item[];
                       ^
functions.h:173:13: note: next member ‘__u8 psd_vcd::<anonymous struct>::header’ declared here


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-desktop-unstable_20160916-100730) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  USE flags ...

  ... in make.conf:
USE="  pax_kernel xtpax -cdinstall -oci8 -bindist alisp apache -apache2 avformat -bugzilla cairo cdb cddb -consolekit dbus dec_av2 -designer dnssec dvb dvd ffmpeg ftp -git -glamor gnutls graphtft gstreamer gtk2 gudev -gzip ipv6 -jadetex javaxml ldap -libvirtd mod mpi mta multitarget ncurses obj ois openexr opengl -pdo pkcs11 policykit pyqt4 qml sdl -smartcard smpeg -sql sqlite3 ssh-askpass ssl sslv3 system-jpeg system-libevent system-sqlite theora timidity tk -tls uml utils uxa vaapi vala vlc vorbis xa -xkb xmlreader xslt"

  ... in /etc/portage/package.use/*:
  mail-mta/ssmtp      ssl mta
  net-misc/wget       ssl
  app-crypt/pinentry  -qt4
  app-editors/emacs   -dbus -svg -ssl -gtk -gtk3
  app-text/xmlto      -latex
  dev-libs/boehm-gc   threads
  dev-libs/libpcre    pcre16
  dev-qt/qtgui        egl eglfs
  net-nds/openldap    -sasl
  dev-util/cmake      -qt4 -qt5
  dev-vcs/git         -perl
  gnome-base/librsvg  -tools
  media-libs/mesa     -vaapi
  sys-apps/kmod       tools
  <=net-misc/openssh-7.3_p1-r2    -hpn
  net-misc/iputils -caps -filecaps

  entries in /etc/portage/package.unmask/*:
  media-video/ffmpeg
  sys-devel/gcc:6.2.0
  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)

  -----------------------------------------------------------------

Portage 2.3.0 (python 3.4.5-final-0, default/linux/amd64/13.0/desktop, gcc-6.2.0, glibc-2.23-r2, 4.7.4-hardened x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.7.4-hardened-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285480 total,   2462704 free
KiB Swap:   67108860 total,  67107268 free
Timestamp of repository gentoo: Sun, 18 Sep 2016 19:11:15 +0000
sh bash 4.3_p46
ld GNU ld (Gentoo 2.26.1 p1.0) 2.26.1
app-shells/bash:          4.3_p46::gentoo
dev-lang/perl:            5.24.0-r1::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.6.2::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.21.7::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.26.1::gentoo
sys-devel/gcc:            6.2.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

local
    location: /usr/local/portage
    masters: gentoo
    priority: 2

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/easy-rsa /var/yp/Makefile"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alisp alsa amd64 apache avformat berkdb bluetooth branding bzip2 cairo cdb cdda cddb cdr cli cracklib crypt cups cxx dbus dec_av2 dnssec dri dts dvb dvd dvdr emboss encode exif fam ffmpeg firefox flac fortran ftp gdbm gif gnutls gpm graphtft gstreamer gtk gtk2 gudev iconv ipv6 javaxml jpeg lcms ldap libnotify mad mmx mmxext mng mod modules mp3 mp4 mpeg mpi mta multilib multitarget ncurses nls nptl obj ogg ois openexr opengl openmp pam pango pax_kernel pcre pdf pkcs11 png policykit ppds pyqt4 qml qt3support qt4 readline sdl seccomp session smpeg spell sqlite3 sse sse2 ssh-askpass ssl sslv3 startup-notification svg system-jpeg system-libevent system-sqlite tcpd theora tiff timidity tk truetype udev udisks uml unicode upower usb utils uxa vaapi vala vlc vorbis wxwidgets x264 xa xattr xcb xml xmlreader xslt xtpax xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" L10N="am" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-09-18 20:30:39 UTC
Created attachment 446486 [details]
emerge-history.txt
Comment 2 Toralf Förster gentoo-dev 2016-09-18 20:30:42 UTC
Created attachment 446488 [details]
environment
Comment 3 Toralf Förster gentoo-dev 2016-09-18 20:30:44 UTC
Created attachment 446490 [details]
media-plugins:vdr-vcd-0.9-r2:20160918-201345.log
Comment 4 Peter Levine 2016-09-24 04:08:23 UTC
Created attachment 447680 [details, diff]
ppl-1.1-gcc6.patch

This patch alters the zero-length arrays of two structs in one union to be the length of one element, as there is no use in this package beyond the size of one element.  I'm not certain about its effect on dependent packages or API compatibility as I have little experience with zero-length arrays. 

See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=69550
Comment 5 Peter Levine 2016-09-24 04:11:55 UTC
Created attachment 447682 [details, diff]
vcd-0.9-gcc6.patch

Last patch was incorrect patch.  I'll repeat the comments:

This patch alters the zero-length arrays of two structs in one union to be the length of one element, as there is no use in this package beyond the size of one element.  I'm not certain about its effect on dependent packages or API compatibility as I have little experience with zero-length arrays.
Comment 6 Joerg Bornkessel gentoo-dev 2016-10-16 16:45:49 UTC
fixed in tree

media-plugins/vdr-vcd-0.9-r3

thx to P.Levine for providing this patch


Let the user test this changes,
but iam unshure if is some one using Video CD's around the world this time ;)

anyway, gcc-6 is happy ;)
...